# Copyright (C) 2023 Simon Josefsson <simon@josefsson.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

FROM devuan/devuan:daedalus

MAINTAINER Simon Josefsson <simon@josefsson.org>

RUN <<-EOF
    true
    grep -h '^deb ' /etc/apt/sources.list /etc/apt/sources.list.d/* | sed 's/^deb /deb-src /' > /etc/apt/sources.list.d/src.list
    apt-get update
    apt-get dist-upgrade -q -y
    sha256sum /var/lib/apt/lists/*InRelease
    grep ^Date /var/lib/apt/lists/*InRelease
    env DEBIAN_FRONTEND=noninteractive apt-get install -q -y \
	build-essential eatmydata wget  \
	devscripts diffoscope git bc
    rm -rf /var/lib/apt/lists/*
EOF
